import 'package:json_annotation/json_annotation.dart';
import 'package:pshared/api/requests/payment/base.dart';

part 'initiate_payments.g.dart';

@JsonSerializable()
class InitiatePaymentsRequest extends PaymentBaseRequest {
  final String quoteRef;
  final String? clientPaymentRef;

  const InitiatePaymentsRequest({
    required super.idempotencyKey,
    super.metadata,
    required this.quoteRef,
    this.clientPaymentRef,
  });

  factory InitiatePaymentsRequest.fromJson(Map<String, dynamic> json) =>
      _$InitiatePaymentsRequestFromJson(json);
  @override
  Map<String, dynamic> toJson() => _$InitiatePaymentsRequestToJson(this);
}
